DSRW_READ_MULTI(3)

FUNCTION
dsrw_read_multi - Read the binary representation of a multi_array structure.

SYNOPSIS
#include <karma_dsrw.h>

multi_array * dsrw_read_multi

(Channel channel)

DESCRIPTION
This routine will read the binary representation of a multi_array general data structure header from a channel object and will allocate the required descriptors. The routine will then read in the data from the channel object and will write it into the data structure(s) created.

channel
    The channel object.

RETURN VALUE
A pointer to the multi array header on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/